SQRT(3)

NAME
cbrt, sqrt - cube root and square root functions

SYNOPSIS
#include <math.h>
double
cbrt(double x);
double
sqrt(double x);

DESCRIPTION
The cbrt() function computes the cube root of x.

The sqrt() computes the non-negative square root of x.

RETURN VALUES
The cbrt() function returns the requested cube root. The sqrt() function returns the requested square root unless an error occurs. On the VAX or Tahoe processor an attempt to take the sqrt() of negative x causes an error; in this event, the global variable errno is set to EDOM and a reserved operand fault is generated.

ERROR (due to Roundoff etc.)
The cbrt() function is accurate to within 0.7 ulps.

The sqrt() function on a VAX is accurate to within 0.501 ulps. Sqrt on a machine that conforms to IEEE 754 is correctly rounded in accordance with the rounding mode in force; the error is less than half an ulp in the default mode (round-to-nearest). An ulp is one Unit in the Last Place carried.

SEE ALSO
math(3), infnan(3)

STANDARDS
The sqrt function conforms to ansiC.

HISTORY
The cbrt function appeared in 4.3BSD.